<template >
  <div class="justify-center p-8">
    <h3 class="text-4xl font-normal leading-normal mt-0 mb-2 text-lightBlue-800">
      Steps
    </h3>
    <hr />
    <StepTable />
  </div>
  <div class="justify-center p-8">
    <h3 class="text-4xl font-normal leading-normal mt-0 mb-2 text-lightBlue-800">
      Daily achievements
    </h3>
    <hr />
    <AchievementTable pt-6/>
  </div>



  <div class="justify-center p-8">
    <h3 class="text-4xl font-normal leading-normal mt-0 mb-2 text-lightBlue-800">
      Personal steps
    </h3>
    <hr />
    <PersonalStepTable/>
  </div>



  
</template>

<script>
import StepTable from "../components/Dashboard/StepTable.vue";
import AchievementTable from "../components/Dashboard/AchievementTable.vue";
import PersonalStepTable from "../components/PersonalStepTable.vue";

export default {
  components: {
    StepTable,
    AchievementTable,
    PersonalStepTable
  },
  data() {
    return{
    email: "",
    username: "",
    password: "",
    step_service_url: import.meta.env.VITE_STEP_URL
    };
},
  methods:{
  }
};
</script>

<style>
</style>